flow123d_version: 3.1.0
problem: !Coupling_Sequential
  description: Simple dual porosity test - steady flow, simple transport
  mesh:
    mesh_file: ../00_mesh/square_1x1_40el.msh
  flow_equation: !Flow_Darcy_MH
    nonlinear_solver:
      linear_solver: !Petsc
        a_tol: 1.0e-07
    input_fields:
      - region: ALL
        conductivity: 1.0e-15
      - region: .BOUNDARY
        bc_type: dirichlet
        bc_pressure: 0
    output:
      fields:
        - pressure_p0
        - velocity_p0
    output_stream:
      file: dual_por.pvd
      format: !vtk
        variant: ascii
  solute_equation: !Coupling_OperatorSplitting
    transport: !Solute_Advection_FV
      input_fields:
        - region: ALL
          init_conc:
            - 1.0
            - 1.0
          porosity: 0.25
        - region: .BOUNDARY
          bc_conc: 0
    substances:
      - A
      - B
    output_stream:
      file: dual_por_transport.pvd
      format: !vtk
        variant: ascii
      times:
        - step: 0.5
    time:
      end_time: 5.0
    reaction_term: !DualPorosity
      input_fields:
        - region: ALL
          diffusion_rate_immobile:
            - 0.01
            - 0.01
          porosity_immobile: 0.25
          init_conc_immobile:
            - 0.0
            - 0.0
      scheme_tolerance: 0.0
      reaction_mobile: !SorptionMobile
        solvent_density: 1.0
        substances: &anchor3
          - A
        solubility: &anchor4
          - 1.0
        input_fields: &anchor5
          - region: ALL
            rock_density: 1.0
            sorption_type: linear
            distribution_coefficient: 0.6
            isotherm_other: 0.4
      reaction_immobile: !SorptionImmobile
        solvent_density: 1.0
        substances: *anchor3
        solubility: *anchor4
        input_fields: *anchor5
    balance:
      cumulative: true
